class CorpImg {
  PVector upperLeft;
  PVector lowerRight;
  PImage myImg;
  int w, h;
  PVector anSpeed;

  int img1 = 1; 
  int img2 = 0;

  CorpImg(PVector _down, PVector _up) {
    w = abs(int(_down.x - _up.x));
    h = abs(int(_down.y - _up.y));

    //figure out the orientation
    if (_down.x <= _up.x) {
      if (_down.y <= _up.y) {
        //_down is the upperLeft corner
        upperLeft = new PVector(_down.x, _down.y);
        lowerRight = new PVector(_up.x, _up.y);
        if (w <= h) {
          anSpeed = new PVector(0, 1);
        } else {
          anSpeed = new PVector(1, 0);
        }
      } else {
        upperLeft = new PVector(_down.x, _up.y);
        lowerRight = new PVector(_up.x, _down.y);
        if (w <= h) {
          anSpeed = new PVector(0, -1);
        } else {
          anSpeed = new PVector(1, 0);
        }
      }
    } else {
      if (_down.y <= _up.y) {
        //_down is the lowerright corner
        upperLeft = new PVector(_up.x, _down.y);
        lowerRight = new PVector(_down.x, _up.y);
        if (w <= h) {
          anSpeed = new PVector(0, 1);
        } else {
          anSpeed = new PVector(-1, 0);
        }
      } else {
        upperLeft = new PVector(_up.x, _up.y);
        lowerRight = new PVector(_down.x, _down.y);
        if (w <= h) {
          anSpeed = new PVector(0, -1);
        } else {
          anSpeed = new PVector(-1, 0);
        }
      }
    }

    println(_down + " || " + _up);
    println(upperLeft.x + ", " + upperLeft.y + ", " + w + ", " + h);
    myImg = slime.get(int(upperLeft.x), int(upperLeft.y), w, h);
  }

  void display() {
    if (w <= h) {
      if (anSpeed.y>0) {
        img1 += abs(anSpeed.y);
        if (img1 > myImg.height) {
          img1 = 1;
        }
        image(myImg, upperLeft.x, upperLeft.y, w, img1);
        image(myImg, upperLeft.x, upperLeft.y + img1, w, myImg.height-img1);
      } else {
        img1 += abs(anSpeed.y);
        if (img1 >= myImg.height) {
          img1 = 1;
        }
        image(myImg, upperLeft.x, upperLeft.y + myImg.height - img1, w, img1);
        image(myImg, upperLeft.x, upperLeft.y, w, myImg.height-img1);
      }
    } else {
      if (anSpeed.x>0) {
        img1 += abs(anSpeed.x);
        if (img1 > myImg.width) {
          img1 = 1;
        }
        image(myImg, upperLeft.x, upperLeft.y, img1, h);
        image(myImg, upperLeft.x + img1, upperLeft.y, myImg.width-img1, h);
      } else {
        img1 += abs(anSpeed.x);
        if (img1 > myImg.width) {
          img1 = 1;
        }
        image(myImg, upperLeft.x + myImg.width - img1, upperLeft.y, img1, h);
        image(myImg, upperLeft.x, upperLeft.y, myImg.width-img1, h);
      }
    }
    //rect(upperLeft.x, upperLeft.y, lowerRight.x-upperLeft.x, lowerRight.y-upperLeft.y);
  }
}
