ArrayList<CorpImg> corps = new ArrayList<CorpImg>();
PVector anchor;
boolean startRect = false;
PImage slime;

void setup () {
  size(800, 800);
  slime = loadImage("slime.jpg");
}


void draw () {
  background(slime);
  if (mousePressed) {
    if (!startRect) {
      anchor = new PVector(mouseX, mouseY);
      startRect = true;
    }
  } else {
    if (startRect) {
      corps.add(new CorpImg(anchor, new PVector(mouseX, mouseY)));
      startRect = false;
    }
  }

  noFill();
  noStroke();
  if (corps.size() != 0) {
    for (int i = 0; i < corps.size(); i++) {
      CorpImg temp = corps.get(i);
      temp.display();
    }
  }
  
  if (startRect) {
    stroke(204, 102, 0);
    strokeWeight(3);
    rect(anchor.x, anchor.y, mouseX - anchor.x, mouseY - anchor.y);
  }
}
